MySQL 5.5 for Debian 6.0
Posted on: 11/01/2011 01:16 PM

DotDeb has released MySQL 5.5.17 packages for Debian 6.0

MySQL 5.5 for Debian 6.0


Some months after MySQL 5.5 being released as GA, I’m proud to announce that MySQL 5.5.17 is now available on Dotdeb, for Debian 6.0 “Squeeze”, for both amd64 and i386 architectures.

Focusing on compatibility with previous and future official Debian packages of MySQL, Dotdeb’s ones are based on the great work provided by the official Debian maintainers. Many thanks to them! I really hope that MySQL 5.5 will be part of Debian Sid soon.

Here are the main changes and benefits from MySQL 5.5, from the user point of view :

a recent InnoDB as default storage engine (replacing MyISAM),
the performance schema,
the semisynchronous replication,
the pluggable authentication,
better performances…
First of all, please read carefully the full list of changes in MySQL 5.5 and the migration guide to MySQL 5.5 before any further move.

I also strongly advise you to test these new packages by upgrading your development servers first, then to backup your whole databases before considering your production servers. Dotdeb is not responsible for any damage or loss of data.

Here are some more considerations :

Both MySQL 5.5 and MySQL 5.1 are available on the main Dotdeb repository, respectively named mysql-server-5.5 and mysql-server-5.1… mysql-server is just a meta-package depending on the most recent version (5.5).
The mysql-common package will be upgraded to version 5.5.17. It’s no big deal, it only contains retro-compatible configuration files.
Providing a fork of Oracle’s MySQL Server, such as Percona Server or MariaDB, is something I’d like to do, but it requires a lot of work.
If you’re using the Pinba storage engine, you should still stick to MySQL 5.1. The switch to MySQL 5.5 will be possible later.
There’s no plan to release these packages neither for Debian 5.0 “Lenny” nor for Ubuntu. Sorry.
I really hope you’ll enjoy this major MySQL release.



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/mysql_5_5_for_debian_6.html)